<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Assignatura_model extends CI_Model {
    
    /* Retorna array llistat d'assignatures */        
    function llistarAssignatures(){
    	$sql = 'SELECT idassignatura, nom ' .
    			'FROM assignatura ' .
    			'ORDER BY nom ASC';   
		$query = $this->db->query($sql);        
        return $query->result_array();  
    }  
    
    /* Crear assignautra */
    function crearAssignatura($sqldata){
		return $this->db->insert('assignatura', $sqldata); 
    } 
    
    /* Transaccio que elimina tot lo relacionat amb una assignatura de les bases de dades  */    
    function deleteAssignatura($idassignatura){    	
    	$this->db->trans_start(); 	
    	$this->db->query('DELETE FROM cursant WHERE idassignatura="'.$idassignatura.'" ');
    	$this->db->query('DELETE FROM alumne_examen WHERE idexamen IN (SELECT idexamen FROM examen WHERE idassignatura="'.$idassignatura.'")');
    	$this->db->query('DELETE FROM alumne_resposta WHERE idexamen IN (SELECT idexamen FROM examen WHERE idassignatura="'.$idassignatura.'")');
    	$this->db->query('DELETE FROM notes WHERE idexamen IN (SELECT idexamen FROM examen WHERE idassignatura="'.$idassignatura.'")');
    	$this->db->query('DELETE FROM pregunta WHERE idexamen IN (SELECT idexamen FROM examen WHERE idassignatura="'.$idassignatura.'")');
    	$this->db->query('DELETE FROM resposta WHERE idexamen IN (SELECT idexamen FROM examen WHERE idassignatura="'.$idassignatura.'")');
    	$this->db->query('DELETE FROM examen WHERE idassignatura="'.$idassignatura.'" ');
        $this->db->query('DELETE FROM assignatura WHERE idassignatura="'.$idassignatura.'" ');        
		$this->db->trans_complete();
        return $this->db->trans_status();
    }
    
    /* Retorna array amb dades d'assignatura*/
    function dadesAssignatura($idassignatura){
		$sql = 'SELECT nom ' .
				'FROM assignatura ' .
				'WHERE idassignatura = ' . $idassignatura;
		return $this->db->query($sql)->row_array();
	}
	
	/*Editar dades d'assignatura*/
	function editarAssignatura($idassignatura, $sqldata){		
		$this->db->where('idassignatura', $idassignatura);
		return $this->db->update('assignatura', $sqldata); 		
	}
	
	/* Retorna el llistat de les assignatures d'un usuari rebut per parametre */
	function assignaturesUsuari($idusuari){
		if($idusuari == null) return null;
    	$sql = 'SELECT a.idassignatura, a.nom FROM cursant as c ' .
    			'INNER JOIN assignatura AS a ON c.idassignatura = a.idassignatura ' .
    			'WHERE idusuari = "'.$idusuari.'" ' .
    			'ORDER BY nom ASC';   
		$query = $this->db->query($sql);        
        return $query->result_array();  
    }  
}
