<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Missatge_model extends CI_Model {
	
	/* Guardad missatge nou*/
	function crearMissatge($remitent, $destinatari, $asunte, $missatge){
		$sql = 'INSERT INTO missatge
        			(idremitent, iddestinatari, asunte, missatge, data_enviat) 
        		VALUES ("' . $remitent . '", "' . $destinatari . '", "' . $asunte . '", "' . $missatge . '", NOW())';        		
        $this->db->query($sql);
        return $this->db->insert_id();
    }
    
    /* Llistat de missatges rebuts*/
    function missatgesRebuts($idusuari = null){
    	if($idusuari == null) return null;
    	$sql = 'SELECT m.idmissatge, m.idremitent, m.asunte, m.data_enviat, u.nom, u.cognoms, m.llegit ' .
    			'FROM missatge as m ' .
    			'INNER JOIN usuari AS u ON u.idusuari = m.idremitent ' .
    			'WHERE m.iddestinatari = "'.$idusuari.'" ' .
    			'AND hide_recived="0" ' .
    			'ORDER BY data_enviat DESC';   
		$query = $this->db->query($sql);        
        return $query->result_array();  
    } 
    
    /* llistat de missatges enviats*/
    function missatgesEnviats($idusuari = null){
    	if($idusuari == null) return null;
    	$sql = 'SELECT m.idmissatge, m.asunte, m.data_enviat, u.nom, u.cognoms ' .
    			'FROM missatge as m ' .
    			'INNER JOIN usuari AS u ON u.idusuari = m.iddestinatari ' .
    			'WHERE m.idremitent = "'.$idusuari.'" ' .
    			'AND hide_sended="0" ' .
    			'ORDER BY data_enviat DESC';   
		$query = $this->db->query($sql);        
        return $query->result_array();  
    } 
    
    /* Informacio de missatge per mostrar missatge*/
    function infoMissatge($idmissatge = null){
    	if($idmissatge == null) return null;
    	$sql = 'SELECT m.idmissatge, m.iddestinatari, m.idremitent, m.asunte, m.missatge, m.data_enviat, m.llegit, CONCAT(r.nom," ",r.cognoms) AS remitent, CONCAT(d.nom," ",d.cognoms) AS destinatari ' .
    			'FROM missatge as m ' .
    			'INNER JOIN usuari AS r ON r.idusuari = m.idremitent ' .
    			'INNER JOIN usuari AS d ON d.idusuari = m.iddestinatari ' .
    			'WHERE m.idmissatge = "'.$idmissatge.'" ' .
    			'ORDER BY data_enviat DESC ' .
    			'LIMIT 1';   
		$query = $this->db->query($sql);        
        return $query->row_array();  
    } 
    
    /* marcar missatge com a llegit*/
    function marcarLlegit($idmissatge){
    	if($idmissatge == null) return null;
    	$sql = 'UPDATE missatge ' .
    			'SET llegit="1" ' .
    			'WHERE idmissatge="'.$idmissatge.'"';        		
        return $this->db->query($sql);
    }
    
    /*posem el camp ocultar de rebuts per fer l'efecte d'eliminacio de rebuts*/
    function borrarRebut($idmissatge){
    	if($idmissatge == null) return null;
    	$sql = 'UPDATE missatge ' .
    			'SET hide_recived="1" ' .
    			'WHERE idmissatge="'.$idmissatge.'"';        		
        return $this->db->query($sql);
    }
    
    /* podem el camp cultar de enviats per fer l'efecte d'eliminacio de la bandeja enviats*/
    function borrarEnviat($idmissatge){
    	if($idmissatge == null) return null;
    	$sql = 'UPDATE missatge ' .
    			'SET hide_sended="1" ' .
    			'WHERE idmissatge="'.$idmissatge.'"';        		
        return $this->db->query($sql);
    }
	
}