function show_error(msg){
	$.colorbox({opacity: 0.7, title: '', html: msg, close: 'tancar'});
}

$(document).ready(function() {
   $("#jqloading").ajaxStart(function(){
        $(this).show();
	});
	$("#jqloading").ajaxStop(function(){
	    $(this).hide();
	});
	
	$('.colorbox').colorbox({opacity: 0.7, title: '', close: 'tancar'}); 
	$('.tooltip').tipsy({gravity: 'se'});
 });
 
 var missatge = {		
	_deleteurl : baseurl+'missatgeria/missatge_delete/',
	
	llegit: function(idmissatge){
		$("#msg_"+idmissatge).removeClass('unread');
	},
	del: function(idmissatge){
		if (confirm("Segur que vols eliminar el missatge?")) {
			$.ajax({
		    	type: "POST",
				url: missatge._deleteurl,
				data: "idmissatge="+idmissatge,
				dataType: "json",
		        success:function(data){				
					if(data.error==0){
		        		$("#msg_"+idmissatge).remove();
		        	}else{
		        		show_error(data.msg);
		        	}
		        }
			});
		}
	}
}	

var usuari = {		
	init: function() {		
		usuari.validate();
		usuari.ajaxform();
	},		
	validate: function() {
		$("#frmEditar").validate();
	},
	ajaxform: function() {	
		var options = {
		dataType:  'json',
		success:	function(data, statusText) { 
        				if(data.error==0){
        					$.colorbox({opacity: 0.7, 
										title: '', 
										html: data.msg, 
										close: 'tancar', 
										});
	        			}else{
	        				show_error(data.msg);
	        			}     					
    				}
		}; 	
		$('#frmEditar').ajaxForm(options);
	}	
}