<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

if ( ! function_exists('adaptar_array_respostes'))
{	
	function adaptar_array_respostes($arr_respostes) {
		if($arr_respostes==null) return null;
		$arr_return = array();
	  	foreach($arr_respostes as $r){
	  		$arr_return[$r['idpregunta']] = $r['idresposta'];
	  	}
	  	return $arr_return;
	 }
}

if ( ! function_exists('comparar_respostes'))
{
	function comparar_respostes($arr_correctes, $arr_alumne){
		if($arr_alumne==null) return array('correctes'=>'0', 'errors'=>'0', 'nota'=>'0');
		$correctes = 0;
		$errors = 0;
		$npreguntes = 0;
		foreach($arr_correctes as $idpregunta => $idresposta){
			if(isset($arr_alumne[$idpregunta]) && $arr_alumne[$idpregunta]==$idresposta){
				$correctes++;
			}else{
				$errors++;
			}
			$npreguntes++;
		}
		$nota = $correctes*10/$npreguntes;
		$nota = round($nota, 2);
		return array('correctes'=>$correctes, 'errors'=>$errors, 'nota'=>$nota);
		
	}
}